import '../models/booking_model.dart';

class BookingRepository {
  Future<List<BookingDay>> fetchBookings(DateTime month) async {
    await Future.delayed(const Duration(milliseconds: 300));

    return [
      BookingDay(
        date: DateTime(month.year, month.month, 13),
        attractions: [
          Attraction(
            name: "The Enchanted Garden Adventure Park",
            colorHex: "#4CAF50",
            slots: [
              TimeSlot(time: "1:30pm – 5:30pm", booked: 15, total: 50),
              TimeSlot(time: "5:30pm – 7:30pm", booked: 15, total: 50),
              TimeSlot(time: "7:30pm – 9:30pm", booked: 15, total: 50),
              TimeSlot(time: "9:30pm – 11:30pm", booked: 15, total: 50),
            ],
          ),Attraction(
            name: "The Enchanted Garden Adventure Park",
            colorHex: "#4CAF50",
            slots: [
              TimeSlot(time: "1:30pm – 5:30pm", booked: 15, total: 50),
              TimeSlot(time: "5:30pm – 7:30pm", booked: 15, total: 50),
              TimeSlot(time: "7:30pm – 9:30pm", booked: 15, total: 50),
              TimeSlot(time: "9:30pm – 11:30pm", booked: 15, total: 50),
            ],
          ),Attraction(
            name: "The Enchanted Garden Adventure Park",
            colorHex: "#4CAF50",
            slots: [
              TimeSlot(time: "1:30pm – 5:30pm", booked: 15, total: 50),
              TimeSlot(time: "5:30pm – 7:30pm", booked: 15, total: 50),
              TimeSlot(time: "7:30pm – 9:30pm", booked: 15, total: 50),
              TimeSlot(time: "9:30pm – 11:30pm", booked: 15, total: 50),
            ],
          ),Attraction(
            name: "The Enchanted Garden Adventure Park",
            colorHex: "#4CAF50",
            slots: [
              TimeSlot(time: "1:30pm – 5:30pm", booked: 15, total: 50),
              TimeSlot(time: "5:30pm – 7:30pm", booked: 15, total: 50),
              TimeSlot(time: "7:30pm – 9:30pm", booked: 15, total: 50),
              TimeSlot(time: "9:30pm – 11:30pm", booked: 15, total: 50),
            ],
          ),
          Attraction(
            name: "Central City Museum",
            colorHex: "#F48FB1",
            slots: [
              TimeSlot(time: "1:30pm – 5:30pm", booked: 15, total: 50),
              TimeSlot(time: "5:30pm – 7:30pm", booked: 15, total: 50),
            ],
          ),
        ],
      ),
      BookingDay(
        date: DateTime(month.year, month.month, 14),
        attractions: [
          Attraction(
            name: "Skyline Observatory",
            colorHex: "#BA68C8",
            slots: [
              TimeSlot(time: "1:30pm – 5:30pm", booked: 15, total: 50),
              TimeSlot(time: "5:30pm – 7:30pm", booked: 15, total: 50),
              TimeSlot(time: "7:30pm – 9:30pm", booked: 15, total: 50),
              TimeSlot(time: "9:30pm – 11:30pm", booked: 15, total: 50),
            ],
          ),
        ],
      ),
    ];
  }
}
